<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent">

	<androidx.core.widget.NestedScrollView
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:fillViewport="true"
		app:layout_behavior="@string/appbar_scrolling_view_behavior">

		<FrameLayout
			android:layout_width="match_parent"
			android:layout_height="wrap_content">

			<androidx.recyclerview.widget.RecyclerView
				android:id="@+id/recyclerView"
				android:layout_width="match_parent"
				android:layout_height="match_parent"
				android:clipToPadding="false"
				android:paddingBottom="96dp" />

		</FrameLayout>

	</androidx.core.widget.NestedScrollView>

	<com.google.android.material.appbar.AppBarLayout
		android:id="@+id/appBar"
		android:layout_width="match_parent"
		android:layout_height="128dp"
		android:theme="@style/PokerAnalyticsTheme.Toolbar.Session">

		<com.google.android.material.appbar.CollapsingToolbarLayout
			android:id="@+id/collapsingToolbar"
			android:layout_width="match_parent"
			android:layout_height="match_parent"
			app:collapsedTitleTextAppearance="@style/PokerAnalyticsTheme.Toolbar.CollapsedTitleAppearance"
			app:contentScrim="?attr/colorPrimary"
			app:expandedTitleGravity="bottom"
			app:expandedTitleMarginStart="72dp"
			app:expandedTitleTextAppearance="@style/PokerAnalyticsTheme.Toolbar.ExpandedTitleAppearance"
			app:layout_scrollFlags="scroll|exitUntilCollapsed|snap">

			<androidx.appcompat.widget.Toolbar
				android:id="@+id/toolbar"
				android:layout_width="match_parent"
				android:layout_height="?attr/actionBarSize"
				app:layout_collapseMode="pin"
				app:titleTextColor="@color/white"
				tools:title="Poker Analytics" />

		</com.google.android.material.appbar.CollapsingToolbarLayout>

	</com.google.android.material.appbar.AppBarLayout>

	<com.google.android.material.floatingactionbutton.FloatingActionButton
		android:id="@+id/floatingActionButton"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_gravity="bottom|center"
		android:layout_marginBottom="28dp"
		android:alpha="0"
		android:elevation="16dp"
		android:scaleX="0"
		android:scaleY="0"
		android:src="@drawable/ic_outline_play"
		android:tint="@color/black"
		tools:alpha="1"
		tools:scaleX="1"
		tools:scaleY="1" />

</androidx.coordinatorlayout.widget.CoordinatorLayout>